#!/usr/local/bin/python2.2
# 
# The program was written or based on one written in 2004 by Morgan Ames.
# http://www.ocf.berkeley.edu/~morganya
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Creative Commons Attribution-NonCommercial 
# License. 
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE (as described by
# the GNU General Public License at http://www.gnu.org/licenses/gpl.html). 
#
# To view a copy of the Creative Commons Attribution-NonCommercial license, 
# visit http://creativecommons.org/licenses/by-nc/2.0/ or send a letter to 
# Creative Commons, 559 Nathan Abbott Way, Stanford, California 94305, USA.

import cgitb
cgitb.enable()
print 'Content-Type: text/html'
print

import cgi, format

dict = cgi.FormContentDict()
directories = dict.get('directory', [])
resize = 0
thumbs = 0
if dict.get('resize_pics') == ['selected']:
  resize = 1
if dict.get('make_thumbnails') == ['selected']:
  thumbs = 1

for dir in directories:
  if resize:
    print 'Shrinking pictures in ' + dir + ' ... <br>'
    format.resize(dir)
    print 'Finished shrinking pictures.<br><br>'
  if thumbs:
    print 'Making thumbnails in ' + dir + ' ... <br>'
    format.make_thumbnails(dir)
    print 'Finished making thumbnails.<br><br>'
if dict.get('rewrite_html') == ['selected']:
  format.main()
  print 'Finished rewriting HTML.<br><br>'
print '<a href="index.cgi">Back to manage</a><br>'
